This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 451768 - Review Request: go-home-applet - applet for gnome
Review Request: go-home-applet - applet for gnome
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Jaroslav Reznik
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FedoraMini/Mobility
  Show dependency treegraph
 
Reported: 2008-06-17 05:49 EDT by Yaakov Nemoy
Modified: 2010-02-03 06:27 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-02-03 06:27:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
jreznik: fedora‑review?


Attachments (Terms of Use)
spec file cleanup (1.56 KB, patch)
2008-06-17 10:15 EDT, Peter Robinson
no flags Details | Diff

  None (edit)
Description Yaakov Nemoy 2008-06-17 05:49:03 EDT
SPEC File: http://ynemoy.fedorapeople.org/repo/go-home-applet.spec
SRPM File:
http://ynemoy.fedorapeople.org/repo/go-home-applet-0.1ubuntu10-1.fc9.src.rpm

This is one of five components needed to respin NetBookDora.  This applet is a
supercharged 'show desktop' applet that interacts with ume-launcher.

Please note that this spec file is probably really bad.
Comment 1 Peter Robinson 2008-06-17 10:15:00 EDT
Created attachment 309617 [details]
spec file cleanup

Attached is an initial patch to cleanup the spec file somewhat. With this the
srpm created passes rpmlint. It probably needs some extra build reqs. You also
need to change the name/email in the Changelog entry.
Comment 2 Peter Robinson 2008-06-17 10:24:45 EDT
BTW not sure what the policy is with 'ubuntu' in the package name.
Comment 3 Jason Tibbitts 2008-06-17 12:10:09 EDT
Scripts parse these tickets; please either use the submission template or keep
the same format for the summary as the other review tickets.
Comment 4 Jonathan Roberts 2008-09-18 12:33:52 EDT
Updated the spec file to make it comply with packaging guidelines better, as well as renamed to remove Ubuntu from the name. 

SPEC File: http://ynemoy.fedorapeople.org/repo/go-home-applet.spec
SRPM File: http://ynemoy.fedorapeople.org/repo/go-home-applet-0.1.16-1.fc9.src.rpm

Have spoken with Yaakov, and will likely co-maintain these packages.
Comment 5 Jaroslav Reznik 2008-09-19 03:57:20 EDT
Specified URL doesn't exist (No such resource) and it should be Source0 URL. Project URL is http://www.canonical.com/netbooks. But it seems that Canonical does not publish sources to download. So there is https://launchpad.net/ubuntu/intrepid/+source/go-home-applet/0.1-0ubuntu2/+files/go-home-applet_0.1.orig.tar.gz. We can use this as upstream 0.1 version and then apply attached patches.
Comment 6 Jaroslav Reznik 2008-09-19 04:09:12 EDT
The same rule apply to other Netbook packages - we may not use Ubuntu vendor specific modifications to source package (ubuntu2 postfix) as it is stated in http://fedoraproject.org/wiki/Packaging/SourceURL.
Comment 7 Jonathan Roberts 2008-09-19 11:14:28 EDT
I've been in touch with upstream, and there's a new release tarball due out next week so I'll wait before updating these packages until then. Also, upstream has said that they'll try and make more regular, formal releases to make our lives a little easier.
Comment 8 Jonathan Roberts 2008-10-24 06:00:32 EDT
OK - finally got the new upstream release. Updated the package to this latest release, and fixed all the comments from the review so far:

SPEC File: http://jonrob.fedorapeople.org/RPMS/go-home-applet.spec
SRPM File: http://jonrob.fedorapeople.org/RPMS/go-home-applet-0.2.0-1.fc10.src.rpm
Comment 9 Jaroslav Reznik 2008-10-24 07:04:16 EDT
rpmlint warning: go-home-applet.x86_64: W: non-conffile-in-etc /etc/gconf/schemas/go-home-applet.schemas
correct it with %config %{_sysconfdir}/gconf/schemas/go-home-applet.schemas
but then it triggers conffile-without-noreplace-flag warning
Comment 10 Jaroslav Reznik 2008-10-24 07:17:33 EDT
and from other packages with schemas it looks like you will need ad %preun section 

%preun
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/go-home-applet.schemas > /dev/null || :

but I'm not sure about it... look at eg. totem's spec file
Comment 11 Jonathan Roberts 2008-10-24 08:41:57 EDT
Should that warning not just be ignored, as in the case of this message:

https://fcp.surfsite.org/modules/newbb/viewtopic.php?viewmode=threaded&order=ASC&topic_id=50619&forum=11&move=prev&topic_time=1201106053

Trying to find documentation on the correct way to handle .schemas files, but seems scant on the ground. Asking in IRC. will try mailing list next.
Comment 12 Jaroslav Reznik 2008-10-24 08:58:57 EDT
%config should help, other question is, if it should be noreplace. I don't think so, it's not manually edited config file and it has to be replaced when installing new package. It can be ignored.
Comment 13 Bastien Nocera 2008-10-24 09:26:16 EDT
No just mark them as config. They _need_ to be replaced on updates, otherwise you don't get the new default, or the new config entries set in the database.
Comment 14 Jaroslav Reznik 2008-10-24 09:34:04 EDT
Even marking them as config is questionable. Schema is not config file, it's more template for config files and should go to /usr/share.
Comment 15 Jonathan Roberts 2008-10-24 09:37:56 EDT
Yeah, I'm getting mixed advice here! 

See Matthias message on devel...

https://www.redhat.com/archives/fedora-devel-list/2008-October/msg02326.html

Have updated the spec file, hopefully with correct pre, post etc but am testing now.
Comment 16 Jaroslav Reznik 2008-10-24 09:47:42 EDT
I've just looked at other packages which are packaging schema files and some are using config, some aren't. So we can ignore it at all. Correct usage of gconftool is more important currently. It's my opinion.
Comment 17 Jonathan Roberts 2008-10-24 09:58:36 EDT
OK, that makes sense to me. I've updated the spec file, but I'm quite unsure of how these gconf bits are meant to work. Have uploaded it to the same location and hope somebody can shed some light for me.

SPEC File: http://jonrob.fedorapeople.org/RPMS/go-home-applet.spec
Comment 18 Christoph Wickert 2008-10-24 10:03:20 EDT
IMO this package is not named properly: Should be gnome-applet-go-home with a provides for the upstream name, see
http://fedoraproject.org/wiki/Packaging/NamingGuidelines#Addon_Packages_.28General.29
Comment 19 Jaroslav Reznik 2008-10-24 10:36:34 EDT
(In reply to comment #18)
> IMO this package is not named properly: Should be gnome-applet-go-home with a
> provides for the upstream name...

Hmm, good point.
Comment 20 Peter Robinson 2010-01-25 16:32:49 EST
Is there still issue in this, or should the review be closed?
Comment 21 Peter Robinson 2010-02-03 06:27:35 EST
Closing as original requester not updated bug since initial request.

Note You need to log in before you can comment on or make changes to this bug.